/*
 *  CMVorbisEncProtocol.h
 *  CMVorbisPlugin
 *
 *  Created by tmkk on Fri Jul 16 2004.
 *  Copyright (c) 2004 tmkk. All rights reserved.
 *
 */

@protocol CMVorbisEncProtocol
- (id)initWithFile:(char *)file;
- (int)setChannel: (int)ch frequency:(int)freq bytes: (int)n quality:(float)q;
- (void)setBufferSize: (int)size;
- (void)encodeBuffer: (char *)buffer blockNum:(int)nblock;
- (void)finish;
@end