//
//  CMCompressCore.h
//  CocoaMonkey
//
//  Created by tmkk on Sat Nov 08 2003.
//  Copyright (c) 2003 tmkk. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface CMCompressCore : NSObject {
	NSArray *fileArray;
	NSString *outputDir;
	int mode;
	int outputMode;
	id delegate;
	int compressionLevel;
	int killFlag;
	BOOL doesRenameDupName;
}

- (id)initWithFiles:(NSArray *)files mode:(int)m rename:(BOOL)flag;
- (void)setCompressionLevel:(int)lvel;
- (void)setOutputDir:(NSString *)dir;
- (void)setOutputMode:(int)m;
- (void)setDelegate:(id)obj;
- (void)startProcess;
- (void)compress;
- (void)decompress;
- (void)stopProcess;
@end
